#include <iostream>
#include <map>

using namespace std;

bool checkIfPossible(int potraznja[], int zalihe[]){
    if(zalihe[0] < potraznja[0]) return false;
    zalihe[0] -= potraznja[0];

    if(zalihe[1] + zalihe[0] < potraznja[1]) return false;
    zalihe[1] -= potraznja[1];
    if(zalihe[1] < 0) {
        zalihe[0] += zalihe[1];
        zalihe[1] = 0;
    }

    if(zalihe[2] + zalihe[0] < potraznja[2]) return false;
    zalihe[2] -= potraznja[2];
    if(zalihe[2] < 0) {
        zalihe[0] += zalihe[2];
        zalihe[2] = 0;
    }

    if(zalihe[3] + zalihe[2] + zalihe[1] + zalihe[0] < potraznja[3]) return false;
    return true;
}

int main()
{
    cout << "nemoguce";
}